Subject: [os2genau_digest] No. 2088
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 5 Jan 2013 00:00:48 WST-8WST,10,1,0,7200,4,1,0,7200,0

**************************************************
Friday 04 January 2013
 Number  2088
**************************************************

Subjects for today
 
1   OS/2 Developer Magazine's : Ian Manners" <deadmail>
2   http://www./melbpc/ : Ian Manners" <deadmail>
3  Re:  http://www./melbpc/ : Robert Traynor \(BobT\)" <rtraynor at optusnet dot com dot au>
4   Firefox problem : Peter Moylan <peter at pmoylan dot org>
5  Re:  Firefox problem : Ian Manners" <deadmail>
6  Re:  Firefox problem : Peter Moylan <peter at pmoylan dot org>
7  Re:  Firefox problem : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Fri, 04 Jan 2013 01:44:52 +0800 (WST)
From:  "Ian Manners" <deadmail>
Subject:   OS/2 Developer Magazine's

Hi Everyone,

Hope you have all had a great 'festive' and New Year season :)

Many years ago I'm sure that someone from IBM in either
Melbourne or Sydney gave me a box of magazines, including
the OS/2 Developer Magazine.

After spending quite a bit of time going through all the OS/2
stuff I have here, even checking the stuff that Voytek sent me
in case there were some in the stuff he sent me, I cant find them :(

I know I had them, I can still visual the box they were all in.

I even found my 5 long storage boxes of my Marvel comics
but no OS/2 magazines :(

Does anyone out there have any OS/2 Developer Magazine's ?
If so, and your willing to part with them I'm happy to pay frieght
on my TNT account, or if you could scan some articles, I know
Martin Iturbide would be really happy.

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   2 ==========================**

Date:  Fri, 04 Jan 2013 01:47:21 +0800 (WST)
From:  "Ian Manners" <deadmail>
Subject:   http://www./melbpc/

Hmm

>http://www./melbpc/  

Should I remove this URL from the list footer ?
Should I 'freshen' up os2 dot org dot au's website as well ?

Just been updating a lot of links etc on os2site dot com so while
I'm on an OS/2 run...

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   3 ==========================**

Date:  Fri, 4 Jan 2013 07:37:55 +1100
From:  "Robert Traynor \(BobT\)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  http://www./melbpc/

Hi Ian,

Yes. Please remove any mention of MelbPC User Group.

Regards,
Robert Traynor (BobT).
4 January 2013   7:37

-----Original Message----- 
From: Ian Manners 
Sent: Friday, January 04, 2013 4:47 AM 
To: os2genau at os2 dot org dot au 
Subject:  http://www./melbpc/ 

Hmm

>http://www./melbpc/  

Should I remove this URL from the list footer ?
Should I 'freshen' up os2 dot org dot au's website as well ?

Just been updating a lot of links etc on os2site dot com so while
I'm on an OS/2 run...

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------

http://www./melbpc/  -  The Melbourne OS/2 SIG
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Fri, 04 Jan 2013 11:02:07 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   Firefox problem

I have a nagging feeling that I've asked this question before, and
someone on this list had the answer. (If so, I've lost it.)

I recently upgraded Firefox to the latest release (10.0.11) for OS/2.
It's not bad, except for a weird crash. Nearly every time I do a right
click on a link (which I do a lot, to select "open in new tab") I get a
succession of boxes written to the screen, going diagonally right and
down, and then Firefox crashes when the boxes hit the bottom of the
screen. Could this just be a question of screen driver, or something
like that?

The last time this happened I had to backlevel all the way to version
4.0.2pre, because I couldn't find releases between versions 4 and 10. If
I can't solve this I'll have to do the same.

I'm also having problems any time I leave a Google search window open.
The swap file grows and grows until disk thrashing sets in. I can't get
mouse inputs accepted until the inevitable popup "a script has stopped
working". (It's always a google script.) However, I think that's the
fault of Google, and I'll just have to switch to a different search
engine, or find a way to block Google scripts. Unfortunately, a large
part of the web appears to have slowed down my browsing by including the
Google scripts that track my browsing.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Fri, 04 Jan 2013 19:39:40 +0800 (WST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Firefox problem

Hi Peter,

>I have a nagging feeling that I've asked this question before, and
>someone on this list had the answer. (If so, I've lost it.)

Or no one answered :)

Closest I can find is this post but no answer.

<https://groups.google dot com/forum/?fromg
roups=#!topic/mozilla.dev.ports.os2/46a_ZYljd4g>

>I recently upgraded Firefox to the latest release (10.0.11) for OS/2.
>It's not bad, except for a weird crash. Nearly every time I do a right
>click on a link (which I do a lot, to select "open in new tab") I get a
>succession of boxes written to the screen, going diagonally right and
>down, and then Firefox crashes when the boxes hit the bottom of the
>screen. Could this just be a question of screen driver, or something
>like that?

If it's only happening with Firefox I would discount a stuck
left mouse button. Beyond that..

>The last time this happened I had to backlevel all the way to version
>4.0.2pre, because I couldn't find releases between versions 4 and 10. If
>I can't solve this I'll have to do the same.

Older versions :-

<ftp://ftp dot netlabs dot org/incoming/mozilla/>
<ftp://ftp.mozilla dot org/pub/firefox/releases/> (look for Contrib 
directories)
<http://www.os2site.com/sw/internet/mozilla/firefox/old/index.html>

>I'm also having problems any time I leave a Google search window open.
>The swap file grows and grows until disk thrashing sets in. I can't get
>mouse inputs accepted until the inevitable popup "a script has stopped
>working". (It's always a google script.) However, I think that's the
>fault of Google, and I'll just have to switch to a different search
>engine, or find a way to block Google scripts. Unfortunately, a large
>part of the web appears to have slowed down my browsing by including the
>Google scripts that track my browsing.

What do you have in your plugins directory ?

The only files I have there now are GBM plugins, I probably dont
even need those. Make sure you dont have any old netscape ones
hanging around.

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
**= Email   6 ==========================**

Date:  Fri, 04 Jan 2013 23:43:00 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Firefox problem

On 04/01/13 22:39, Ian Manners wrote:
> Hi Peter,
>
>> I have a nagging feeling that I've asked this question before, and
>> someone on this list had the answer. (If so, I've lost it.)
>
> Or no one answered :)
>
> Closest I can find is this post but no answer.
>
> <https://groups.google dot com/forum/?fromg
> roups=#!topic/mozilla.dev.ports.os2/46a_ZYljd4g>

That does seem to be a closely related bug. Unfortunately it's only a
question, no answer, as you say. I hadn't thought of looking at
POPUPLOG.OS2, because it invariably says that the crash is in
PMMERGE.DLL, which is not much help if you don't have the sources for
PMMERGE. Now that I've looked, I see that the majority of the entries
are for Firefox 10.0.5 and Firefox 10.0.11.

>> I recently upgraded Firefox to the latest release (10.0.11) for
>> OS/2. It's not bad, except for a weird crash. Nearly every time I
>> do a right click on a link (which I do a lot, to select "open in
>> new tab") I get a succession of boxes written to the screen, going
>> diagonally right and down, and then Firefox crashes when the boxes
>> hit the bottom of the screen. Could this just be a question of
>> screen driver, or something like that?
>
> If it's only happening with Firefox I would discount a stuck left
> mouse button. Beyond that..

Definitely only Firefox. Even Thunderbird 10.0.11 is well-behaved, apart
from its idiotic insistence on being a tabbed browser and the
long-standing problem where the designers don't seem to know how to
handle "plain text".
>
>> The last time this happened I had to backlevel all the way to
>> version 4.0.2pre, because I couldn't find releases between versions
>> 4 and 10. If I can't solve this I'll have to do the same.
>
> Older versions :-
>
> <ftp://ftp dot netlabs dot org/incoming/mozilla/>
> <ftp://ftp.mozilla dot org/pub/firefox/releases/> (look for Contrib
> directories)
> <http://www.os2site.com/sw/internet/mozilla/firefox/old/index.html>

Thanks. I've just downloaded and installed version 9.0.1 from os2site.
Same bug. I suppose I'll just have to work backwards through the
versions until I find one that works.

The reason I want to use a relatively recent version is that the Firefox
extensions that stop Google from tracking you aren't available for
earlier versions.

Maybe I should also try an upgrade to screen drivers. It's a long shot,
but you never know.

>> I'm also having problems any time I leave a Google search window
>> open. The swap file grows and grows until disk thrashing sets in. I
>> can't get mouse inputs accepted until the inevitable popup "a
>> script has stopped working". (It's always a google script.)
>> However, I think that's the fault of Google, and I'll just have to
>> switch to a different search engine, or find a way to block Google
>> scripts. Unfortunately, a large part of the web appears to have
>> slowed down my browsing by including the Google scripts that track
>> my browsing.
>
> What do you have in your plugins directory ?
>
> The only files I have there now are GBM plugins, I probably dont even
> need those. Make sure you dont have any old netscape ones hanging
> around.

My plugins directory has

DUMYPLUG.DLL
npdjvu.dll
npdjvu_093.zip
npj2.dll
npj2_j11.dll
NPOS2AUD.DLL
NPOS2MID.DLL
NPOS2VID.DLL
NPPROXY.DLL
npswf2.dll
XLATE.DLL

I must admit that I don't even know what most of those do, although I
must have known at some stage. They all have a file date of 1/11/08,
which must be when I did an installation on this machine.

My feeling, though, is that this is a Google problem rather than a
plugin problem. It used to happen only with Google Maps. Now it also
happens on a Google search page, and there are lots and lots of
non-Google pages where it doesn't happen.

(Where "it" = unreasonable growth in the swap file. Every page has the
problem of crashing on right mouse clicks.)

-- 
Peter Moylan peter at pmoylan dot org
http://www.pmoylan dot org

--------------------------------------------------
 
===
**= Email   7 ==========================**

Date:  Fri, 04 Jan 2013 21:18:41 +0800 (WST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Firefox problem

Hi Peter,

>My plugins directory has
>
>DUMYPLUG.DLL
>npdjvu.dll
>npdjvu_093.zip
>npj2.dll
>npj2_j11.dll
>NPOS2AUD.DLL
>NPOS2MID.DLL
>NPOS2VID.DLL
>NPPROXY.DLL
>npswf2.dll
>XLATE.DLL

npos2*.dll will cause problems, as will DUMYPLUG.DLL
You probably do not need npdjvu* certainly not the proxy
plugin or the xlate. npswf2.dll normally leaks memory on later
versions of Mozilla and in all likelyhood doesnt load anyway by
now, maybe.. 

I would copy (not move) all of them to another directory then
delete all of them. Try Firefox then :)

Your also using the latest libc065 files from Netlabs ?

libc-0_6_5-csd5.wpi (Second late file)
at  <ftp://ftp dot netlabs dot org/pub/libc/>

>I must admit that I don't even know what most of those do, although I
>must have known at some stage. They all have a file date of 1/11/08,
>which must be when I did an installation on this machine.

DUMYPLUG.DLL = dummy plugin, not needed.
npdjvu.dll  DjVuLibre (spelt something like that)
npdjvu_093.zip DjVuLibre
npj2.dll  Java plugin
npj2_j11.dll  Java plugin
NPOS2AUD.DLL Netscape audio plugin
NPOS2MID.DLL Netscape MIDI plugin
NPOS2VID.DLL Netscape Video file plugin
NPPROXY.DLL  Netscape Proxy plugin
npswf2.dll  Flash
XLATE.DLL  No idea but I recognise it.

I think it was Steve Wendt who had a page on plugins and other
Mozilla information.

>My feeling, though, is that this is a Google problem rather than a
>plugin problem. It used to happen only with Google Maps. Now it also
>happens on a Google search page, and there are lots and lots of
>non-Google pages where it doesn't happen.

Could be made worse by Google but I'm using FF under
OS/2 Warp 4.52, no plugins, I havent missed the Java plugins,
though latest version would probably be a lot safer for you if
you do actually need Java. Most of your plugins probably dont
even install with current OS/2 Mozilla apps but I would suspect
(I could be totally wrong to) that one of those plugins is, and
that it is your problem.

>(Where "it" = unreasonable growth in the swap file. Every page has the
>problem of crashing on right mouse clicks.)

This bit I'm sure I've read somewere on the Mozilla newsgroup and
the fix most of the time with later releases was to remove old and
non functioning plugins.

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------